## pompem 0.1.0

=== requirements.txt ===
BeautifulSoup==3.2.1
requests==2.2.1

=== debian/changelog ===
pompem (0.1.0-2) unstable; urgency=medium

  [ Giovani Augusto Ferreira ]

  * Set Debian Forensics as maintainer, added myself to uploaders.
  * Improved and updated long description.
  * Moved python-beautifulsoup and python-requests from Build-Depends to
    Depends field.

  [ Joao Eriberto Mota Filho ]

  * debian/control: added Vcs-* fields.
  * debian/copyright: added my name at debian/* block.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Thu, 22 Oct 2015 21:02:03 -0200

pompem (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #797367)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Thu, 13 Aug 2015 14:49:01 -0300

=== debian/control ===
Source: pompem
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
Build-Depends: debhelper (>= 9), python
Standards-Version: 3.9.6
Homepage: https://github.com/rfunix/Pompem
Vcs-Browser: https://anonscm.debian.org/cgit/forensics/pompem.git
Vcs-Git: git://anonscm.debian.org/forensics/pompem.git

Package: pompem
Architecture: all
Depends: python, python-beautifulsoup, python-requests, ${misc:Depends}
Description: automate the search for exploits in various databases
 Find exploit with a system of advanced search, thus facilitating the work
 of pentesters, ethical hackers and forensics expert. Performs searches in
 databases: Exploit-db, 1337day, Packetstorm Security. This tool is essential
 in the security of networks and systems.
 .
 The search results can be exported to HTML or text format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DIR2FIX=$(CURDIR)/debian/pompem/usr/share/pompem

%:
	dh $@ 

override_dh_fixperms:
	find $(DIR2FIX) -type f -not -name '*.py' -exec chmod 644 {} \;
	dh_fixperms

=== debian/watch ===
version=3
https://github.com/rfunix/Pompem/releases .*/v?(\d\S*)\.tar\.gz

## pompem 0.2.0

=== requirements.txt ===
requests==2.9.1

=== debian/changelog ===
pompem (0.2.0-5) unstable; urgency=medium

  [ Giovani Augusto Ferreira ]
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added the field Rules-Requires-Root: binary-targets.
      - Standards-Version: bumped to 4.4.1 (no changes needed)
  * debian/copyright:
      - Updated years and rights.
  * debian/tests/control: created to provide trivial tests.
  * wrap-and-sort -sa

  [ Samuel Henrique ]
  * Add salsa-ci.yml

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 30 Dec 2019 15:33:02 -0300

pompem (0.2.0-4) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 11
  * Bumped Standards-Version to 4.2.1
  * debian/copyright: updated packaging copyright years
  * debian/rules: removed whitespace
  * Added upstream metadata file

 -- Giovani Augusto Ferreira <giovani@debian.org>  Wed, 29 Aug 2018 00:47:18 -0300

pompem (0.2.0-3) unstable; urgency=medium

  * Updated my email address.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
      - Dropped python3.5 in Build-depends, its not necessary.
      - Updated to depend python3 instead of python3.5.
        Thanks to Jeremy Bicha <jbicha@ubuntu.com> (Closes: #870011)
  * debian/copyright:
      - Updated the packaging copyright years.
  * debian/patches/add-shebang-line.patch:
      - Updated to add python3 instead of python3.5.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 30 Jul 2017 21:30:05 -0300

pompem (0.2.0-2) unstable; urgency=medium

  * Update DH level to 10.
  * debian/compat: updated to 10.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 17 Dec 2016 00:13:20 -0200

pompem (0.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated depends to python3.5 and python3-requests.
      - Updated and improved the descriptions.
  * debian/copyright:
      - Updated all information after be refactored source code by upstream.
  * debian/manpage/pompem.1:
      - Included and updated after the upstream remove their.
  * debian/patches/add-shebang-line.patch:
      - Created to add the Shebang Line in .py files.
  * debian/rules:
      - Updated override in dh_fixperms to set correct permissions.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 07 Aug 2016 20:56:05 -0300

pompem (0.1.0-3) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Changed from cgit to git in Vcs-Browser field.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/watch: bumped to version 4.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Wed, 23 Mar 2016 20:22:20 -0300

=== debian/control ===
Source: pompem
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Giovani Augusto Ferreira <giovani@debian.org>
Build-Depends:
 debhelper-compat (= 12)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/rfunix/Pompem
Vcs-Browser: https://salsa.debian.org/pkg-security-team/pompem
Vcs-Git: https://salsa.debian.org/pkg-security-team/pompem.git

Package: pompem
Architecture: all
Depends:
 python3,
 python3-requests,
 ${misc:Depends}
Description: Exploit and Vulnerability Finder
 Find exploit with a system of advanced search, designed to automate the search
 for Exploits and Vulnerability in the most important databases facilitating
 the work of pentesters, ethical hackers and forensics expert. Performs searches
 in databases: PacketStorm security, CXSecurity, ZeroDay, Vulners, National
 Vulnerability Database, WPScan Vulnerability Database. This tool is essential
 in the security of networks and systems.
 .
 The search results can be exported to HTML or text format.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DIR2FIX=$(CURDIR)/debian/pompem/usr/share/pompem

%:
	dh $@

override_dh_fixperms:
	find $(DIR2FIX) -type f -name '*.py' -exec chmod +x {} \;
	dh_fixperms

=== debian/tests/control ===
Test-Command: pompem -h

=== debian/watch ===
version=4
https://github.com/rfunix/Pompem/releases .*/v?(\d\S*)\.tar\.gz
